Usage
-----
`unmess`

Everything is configured using rules in a text file. This file is `~/.local/share/unmess/rules` (per-user rules) or `/usr/share/unmess/rules` (system defaults).

The `rules` file is a simple text file, in a `.INI`-like format:

Rules are grouped in rulesets (indicated with `[`...`]`) and can be of 2 kinds
 * filters (each filter must only appear once per ruleset)
 * actions (each action must only appear once per ruleset)

Rulesets names are ignored but must be unique.
For future extensions, unknown filters/actions and various syntax issues are silently ignored.

Filters
-------
The format is ''filter''`=`''value''

|| Filter          || Values        || Description                                      || 
|| `name`          || ''string''    || Window title                                     ||
|| `iconname`      || ''string''    || Icon title (usually the same as the window name) ||
|| `application`   || ''string''    || Application name                                 ||
|| `classgroup`    || ''string''    || Class group name                                 ||
|| `classinstance` || ''string''    || Class instance name                              ||
|| `type`          || `normal`      || Window type                                      ||
||                 || `desktop`     ||                                                  ||
||                 || `dock`        ||                                                  ||
||                 || `dialog`      ||                                                  ||
||                 || `toolbar`     ||                                                  ||
||                 || `menu`        ||                                                  ||
||                 || `utility`     ||                                                  ||
||                 || `splashscreen`||                                                  ||

Notes:
 * `*` and `?` wildcards are allowed
 * multiple values for filters must be listed on the same line, separated with '`;`' (i.e. `Firefox;Chrome` will match either `Firefox` or `Chrome`)

Actions
-------
|| Action          || Values            || Description                                         ||
|| `workspace`     || ''integer'' (1..) || Move a window to a given workspace.                 ||
||                 || `all`             || Show a window on all workspaces.                    ||
|| `maximize`      || `true` or `false` || Maximise a window                                   ||
|| `minimize`      || `true` or `false` || Minimise (iconify) a window                         ||
|| `shade`         || `true` or `false` || Shade / un-shade (roll/un-roll) a window            ||
|| `skip pager`    || `true` or `false` || Skip pager (won't display in workspace thumbnail)   ||
|| `skip tasklist` || `true` or `false` || Skip tasklist (won't appear in Alt+Tab and taskbar) ||

Example
-------
The following example forces Firefox and Chrome on the first workspace, Thunderbird on the second workspace, VirtualBox on the third and make Pidgin and all dialog windows ubiquitous.
{{{
[web browser]
classgroup=Firefox;Google-chrome
workspace=1

[mailer]
classgroup=Thunderbird
workspace=2

[virtualbox]
classgroup=VirtualBox
workspace=3

[im]
classgroup=Pidgin
workspace=all

[dialogs]
type=dialog
workspace=all
}}}


Known problems
--------------
 * finding class group or instance names can be tricky (use `xlsclients -l`, `xwininfo` and `xprop` to find out details)
